/* 
	FormBackgroundLayer.java

	Author: Tomokazu ARITA
	UpDate: 2001/03/08
	Last Update: 2001/12/06
	Since:  2001/03/08
*/

package hiformed.editor.table;

import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Dimension;
import java.util.Vector;

public class FormBackgroundLayer extends Layer{
	
	private Vector cells = new Vector();
		
	public FormBackgroundLayer(){
		super();
	}	
		
	//C[̕`ig͂̕I[o[Chďj
	protected void drawLayer(Graphics2D g){
		drawCells(g);
	}
	
	//o^ĂZ̔wi`
	private void drawCells(Graphics2D g){
		for(int i=0; i<cells.size(); i++){
			Cell cell   = (Cell)cells.elementAt(i);
			Point p     = cell.getBasePoint();
			Dimension d = cell.getCellSize();
			g.setColor(cell.getCellBGColor());
			g.fillRect(p.x, p.y, d.width, d.height);
		}
	}
	
	//Z̒ǉ
	public void setCell(Cell cell){
		cells.addElement(cell);
	}
	
	//C[̃NA
	public void clearLayer(){
		cells.removeAllElements();//o^ĂZ̍폜
		repaint();//ĕ`
	}
	
}
