/* 
	Layer.java

	Author: Tomokazu ARITA
	UpDate: 2001/03/07
	Last Update: 2001/12/06
	Since:  2001/02/28
*/

package hiformed.editor.table;

import javax.swing.JPanel;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;


public class Layer extends JPanel{
	
	//Background
	static final private Color bg_color = new Color(0,0,0,0);//F
	//static final private Color bg_color = new Color(0,0,0,255);//
	
	//ANTI ALIAS
	protected boolean antialias_onoff = true;
	protected RenderingHints qualityHints= null;
	
	public Layer(){
		super(true);
		setBackground(bg_color);
	}
	
	
	//wi` (paintŌĂяo)
	protected void paintComponent(Graphics g){
		super.paintComponent(g);
		
		
		Graphics2D g2 = (Graphics2D)g;
		
		if(antialias_onoff == true){
			if(qualityHints == null){
				qualityHints = 
					new RenderingHints(
						RenderingHints.KEY_ANTIALIASING, 
						RenderingHints.VALUE_ANTIALIAS_ON
					);
		
				qualityHints.put(
					RenderingHints.KEY_RENDERING,
					RenderingHints.VALUE_RENDER_QUALITY
				);
			}
			g2.setRenderingHints(qualityHints);
		}

		drawLayer(g2);//`̊g
	}
	
		
	//C[̕`ig͂̕I[o[Chďj
	protected void drawLayer(Graphics2D g){
		//Ȃ
	}
	
}
