/* 
	EditorCommandPanel.java

	Author:			Tomokazu ARITA
	update:			2001/11/28
*/

package hiformed.editor;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;


public class EditorCommandPanel extends JPanel{
	private static final int column = 6;
	
	private static Box box = new Box(BoxLayout.Y_AXIS);
	private static JCheckBox Item_Insert = new JCheckBox(" Item Insert ");
	private static JCheckBox Item_Delete = new JCheckBox(" Item Delete ");
	private static JCheckBox Row_Insert = new JCheckBox(" Row Insert ");
	private static JCheckBox Row_Delete = new JCheckBox(" Row Delete ");
	private static JCheckBox Column_Insert = new JCheckBox(" Column Insert ");
	private static JCheckBox Column_Delete = new JCheckBox(" Column Delete ");
	
	
	
	public EditorCommandPanel(){
		setBorder(new TitledBorder(new EtchedBorder(),"Editor Command"));
		Border border = this.getBorder();//
		Border margin = new EmptyBorder(0,0,0,0);//
		setBorder(new CompoundBorder(border, margin));//
		
		
		box.add(Item_Insert);
		box.add(box.createRigidArea(new Dimension(5,0)));
		box.add(Item_Delete);
		box.add(box.createRigidArea(new Dimension(5,0)));
		box.add(Row_Insert);
		box.add(box.createRigidArea(new Dimension(5,0)));
		box.add(Row_Delete);
		box.add(box.createRigidArea(new Dimension(5,0)));
		box.add(Column_Insert);
		box.add(box.createRigidArea(new Dimension(5,0)));
		box.add(Column_Delete);
		
		add(box);		
	}
	
}