/*
 	EditButtonEventListener.java
	Author : Tomokazu ARITA
	Date   : 2002/01/14, 20:53

*/


package hiformed.editor.event;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JToggleButton;
import javax.swing.ButtonGroup;

public class EditButtonEventListener implements ActionListener{
	
	private static ButtonGroup bg = new ButtonGroup();
	private static JToggleButton dummy_button = new JToggleButton();
	
	//Iꂽ{^
	private JToggleButton selected_button = dummy_button;

	/** Creates new EditorEventListener */
    public EditButtonEventListener() {
		bg.add(dummy_button);
    }
	
	public void actionPerformed(ActionEvent e){
		JToggleButton button = (JToggleButton)e.getSource();
		
		//{^I
		if(button.equals(selected_button)){
			dummy_button.setSelected(true);
			selected_button = dummy_button;
		}else{
			selected_button = button;
		}
		
	}
	
	public void addEditButton(JToggleButton button){
		button.addActionListener(this);
		bg.add(button);
	}

}
