/*
 * FormDrawer.java
 *
 * Created on 2001/11/10, 22:32
 * Update: 2001/12/08
 */

package hiformed.editor.table;

/*
 * Tomokazu ARITA
 * ver. 0.01a
 */


//jdk 1.3.*
import java.util.Vector;


public class FormDrawer extends Object {
	
	FormConstructer fc = null;
	LayerManager lm = null;

    /** Creates new FormDrawer */
    public FormDrawer(FormConstructer fc, LayerManager lm) {
		this.fc = fc;
		this.lm = lm;
    }
    
	
    /* draw cells */
    public void drawCells(){
		fc.construct();//
		Vector cells = fc.getCells();
		if(cells != null){
			lm.setCellSet(cells);
			lm.drawCell();
		}
    }

}
