/* 
	SP1.java

	Author:			Tomokazu ARITA
	update:			2001/11/28
*/


package hiformed.hngg.SemanticRules;

import hiformed.grammar.*;

public class SP1 extends SemanticRule{
	
	public SP1(){
	}
	
	public void Inh(DTNode left, DTBlock right, int node_number){
		DTNode node0 = left;
		DTNode node1 = right.getNode(1);
		DTNode node2 = right.getNode(2);
		
		if(node_number == 1){
			node1.setAttX(0);
			node1.setAttY(0);
		}
		if(node_number == 2){
			node2.setAttX(node1.getAttX());
			node2.setAttY(node1.getAttY());
		}
	}
	
	
	public void Syn(DTNode left, DTBlock right){
		DTNode node0 = left;
		DTNode node1 = right.getNode(1);
		DTNode node2 = right.getNode(2);
		
		node0.setAttWidth(node2.getAttWidth());
		node0.setAttHeight(node2.getAttHeight());
	}
	
	
}