/*
 	InstanceSequence.java
	Author : Tomokazu ARITA
	Date   : 2002/01/14, 22:09
*/



package hiformed.instance;

import hiformed.grammar.*;

public class InstanceSequence{

	private ProductionInstance instance = null;
	private InstanceSequence next = null;
	
	/** Creates new InstanceSequence */
    public InstanceSequence() {
    }
	
	public void setProductionInstance(ProductionInstance instance){
		this.instance = instance;
	}
	
	public void setNext(InstanceSequence next){
		this.next = next;
	}
	
	public ProductionInstance getProductionInstance(){
		return instance;
	}
	
	public InstanceSequence getNext(){
		return next;
	}

}
